Bug 208694 - X fails to start
X fails to start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-09-30 06:32 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 12:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
existing xorg.conf (2.67 KB, text/plain)
2006-09-30 06:32 EDT, David Woodhouse
no flags Details
Failing FC6 Xorg log (38.05 KB, text/plain)
2006-09-30 06:33 EDT, David Woodhouse
no flags Details
Working FC5 Xorg log (107.11 KB, text/plain)
2006-09-30 06:35 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2006-09-30 06:32:25 EDT
After an upgrade from FC5 to FC6, X no longer starts.
Comment 1 David Woodhouse 2006-09-30 06:32:25 EDT
Created attachment 137468 [details]
existing xorg.conf
Comment 2 David Woodhouse 2006-09-30 06:33:48 EDT
Created attachment 137469 [details]
Failing FC6 Xorg log
Comment 3 David Woodhouse 2006-09-30 06:35:07 EDT
Created attachment 137470 [details]
Working FC5 Xorg log
Comment 4 David Woodhouse 2006-09-30 06:38:18 EDT
Note how FC5 detects the absence of BIOS and does DDC, identifies the monitors
correctly. And how FC6 thinks there's a Legacy BIOS -- which is rather
surprising on a Mac G5.
Comment 5 David Woodhouse 2006-09-30 07:15:15 EDT
This works around it for me, but obviously I wouldn't suggest that it's a proper
fix.

--- xf86-video-ati-6.6.2/src/radeon_bios.c.orig 2006-09-30 12:14:26.000000000 +0100
+++ xf86-video-ati-6.6.2/src/radeon_bios.c      2006-09-30 11:58:34.000000000 +0100
@@ -71,7 +71,7 @@ Bool RADEONGetBIOSInfo(ScrnInfoPtr pScrn
        }
     }
 
-    if (info->VBIOS[0] != 0x55 || info->VBIOS[1] != 0xaa) {
+    if (1 || info->VBIOS[0] != 0x55 || info->VBIOS[1] != 0xaa) {
        xf86DrvMsg(pScrn->scrnIndex, X_WARNING,
                   "Unrecognized BIOS signature, BIOS data will not be used\n");
        xfree (info->VBIOS);
Comment 6 David Woodhouse 2006-09-30 09:24:00 EDT
Proper fix at
http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-ati.git;a=commitdiff;h=c979c7f87fc449cc9631820101edff82c3013e66

About to rebuild and test...
Comment 7 David Woodhouse 2006-09-30 09:36:44 EDT
Works correctly on my G5:

(WW) RADEON(0): Not an x86 BIOS ROM image, BIOS data will not be used

Works correctly with a PC version of the Radeon too:

(II) RADEON(0): Legacy BIOS detected

Comment 9 Adam Jackson 2006-10-03 12:18:56 EDT
Fixed in 6.6.2-4.

Note You need to log in before you can comment on or make changes to this bug.